Subject: Re: git-clone --how-much-disk-space-will-this-cost-me? [--depth n]

From: [email-masked]
Date: Tue, 16 Dec 2008 08:37:02 +0800

>> And don't tell us to just figure it out from the progress messages
>> after the download begins, and hit ^C if we don't like it.

JH> Maybe that's a dumb answer, but... why not?  This works pretty
JH> well for me.

Sounds like my last marriage. "Just hit ^C if you don't like it". How
do you think the in-laws will feel? Nope, plan ahead I now say.

JH> So maybe what you really want is an ETA display during the cloning
JH> process?  Sounds like a good idea to me.

ETA implies that git has an estimate of what is going to happen.

The key is to now allow the user to get such an estimate too, before
deciding to git-clone or not.